import 'package:redux/redux.dart';

import '../../models/located_address.dart';
import '../actions.dart';

final locatedAddressReducer = combineReducers<LocatedAddress?>([
  TypedReducer<LocatedAddress?, UpdateLocatedAddress>(_updateLocatedAddress)
]);

LocatedAddress? _updateLocatedAddress(LocatedAddress? locatedAddress, action) {
  return action.locatedAddress;
}